<h1>Listing Articles</h1>

<table>
  <thead>
    <tr>
      <th>Title</th>
      <th>Slug</th>
      <th>Content</th>
      <th>Topics</th>

      <th></th>
    </tr>
  </thead>
  <tbody>
<%= for article <- @articles do %>
    <tr>
      <td><%= article.title %></td>
      <td><%= article.slug %></td>
      <td><%= article.content %></td>

      <td class="topics">
        <%= for topic <- article.entity.topics do %>
          <%= link to: Routes.topic_path(@conn, :tagged, topic) do %><div class="stamp"><%= topic.text %></div><% end %>
        <% end %>
      </td>

      <td>
        <%= button "Show", to: Routes.article_path(@conn, :show, article), method: "get", class: "button-outline button-small" %>
        <%= button "Edit", to: Routes.article_path(@conn, :edit, article), method: "get", class: "button-small" %>

        <%# <%= link "Delete", to: Routes.article_path(@conn, :delete, article), method: :delete, data: [confirm: "Are you sure?"] %>
      </td>
    </tr>
<% end %>
  </tbody>
</table>

<span><%= button "New Article", to: Routes.article_path(@conn, :new), method: "get" %></span>
